Modify a single product

View as Markdown

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

productIdstringRequiredformat: "int32"
Unique identifier of the product to modify

Headers

shipbob_channel_idstringRequiredformat: "int32"
Channel Id for Operation

Request

Updated fields to the product
namestringRequired>=1 character
The name of the product
barcodestring or nullOptional
Barcode for the product
gtinstring or nullOptional

Global Trade Item Number - unique and internationally recognized identifier assigned to item by company GS1.

skustring or nullOptional
The stock keeping unit of the product
unit_pricedouble or nullOptional
The price of one unit
upcstring or nullOptional

Universal Product Code - Unique external identifier

Response

Success
barcodestring or null
Barcode for the product
bundle_root_informationobject or null
channelobject or null
Information about a store channel
created_datedatetime or null
Date the product was created
fulfillable_inventory_itemslist of objects or null
The inventory that this product will resolve to when packing a shipment
fulfillable_quantity_by_fulfillment_centerlist of objects or null
Fulfillable quantity of this product broken down by fulfillment center location
gtinstring or null

Global Trade Item Number - unique and internationally recognized identifier assigned to item by company GS1.

idinteger or null
Unique identifier of the product
namestring or null
The name of the product
reference_idstring or null
Unique reference identifier of the product
skustring or null
Stock keeping unit for the product
total_committed_quantityinteger or null
Total committed quantity of this product
total_fulfillable_quantityinteger or null
Total fulfillable quantity of this product
total_onhand_quantityinteger or null
Total on hand quantity of this product
unit_pricedouble or null
The price of one unit
upcstring or null

Universal Product Code - Unique external identifier

Errors